Last modified: 2012-12-15 11:36:01 UTC

Wikimedia Bugzilla is closed!

Wikimedia has migrated from Bugzilla to Phabricator. Bug reports should be created and updated in Wikimedia Phabricator instead. Please create an account in Phabricator and add your Bugzilla email address to it.
Wikimedia Bugzilla is read-only. If you try to edit or create any bug report in Bugzilla you will be shown an intentional error message.
In order to access the Phabricator task corresponding to a Bugzilla report, just remove "static-" from its URL.
You could still run searches in Bugzilla or access your list of votes but bug reports will obviously not be up-to-date in Bugzilla.
Bug 20602 - Navigable TOC: Wikitext in section titles not parsed
Navigable TOC: Wikitext in section titles not parsed
Status: RESOLVED WONTFIX
Product: MediaWiki extensions
Classification: Unclassified
UsabilityInitiative (Other open bugs)
unspecified
PC Windows Vista
: Normal minor (vote)
: ---
Assigned To: Nobody - You can work on this!
http://usability.wikimedia.org/wiki/R...
:
Depends on:
Blocks: 36111
  Show dependency treegraph
 
Reported: 2009-09-11 19:31 UTC by Calcey QA
Modified: 2012-12-15 11:36 UTC (History)
4 users (show)

See Also:
Web browser: ---
Mobile Platform: ---
Assignee Huggle Beta Tester: ---


Attachments
Display in TOC when sections are defined with sub/super scripts (29.45 KB, image/png)
2009-09-11 19:31 UTC, Calcey QA
Details

Description Calcey QA 2009-09-11 19:31:09 UTC
Created attachment 6542 [details]
Display in TOC when sections are defined with sub/super scripts 

Reporting against Babaco Release. (Hosted on http://prototype.wikimedia.org)

Steps to Reproduce ::
1)Create a new page with various sections (levels)
2)Apply superscript/subscript to a part of sections' text 
3)Check the display in table of content (please see the attachment)

<<Superscript/subscript syntax appear in table of content>>



Expected Outcome ::
Table of content shall not display the syntax.


Test Environment (Client) ::
Browser (User-Agent):  	Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1.2) Gecko/20090729 Firefox/3.5.2
Javascript: 	Enabled
Cookies Enabled: 	Enabled
Java Enabled: 	Enabled
CPU class/type: 	OS/CPU Windows NT 6.0
Screen Width x Height: 	1280 x 800
Screen Color Depth: 	32
Comment 1 Roan Kattouw 2009-09-11 21:06:29 UTC
Generalizing summary
Comment 2 Calcey QA 2009-09-29 05:01:52 UTC
Added keyword babaco to the bug
Comment 3 Roan Kattouw 2009-10-30 19:39:22 UTC
WONTFIX? I don't think we can reliably tell what the header will be displayed as, so reflecting the wikicode version instead makes sense to me.
Comment 4 Trevor Parscal 2010-02-10 00:04:10 UTC
There are so many levels in which solving this sort of thing could fail, it's just not worth it at this point.

Another bug along these lines would be "headings created by templates are not shown".

The thing is, wikitext is horrible as it is, with very loose and sometimes inconsistent rules which are defined by a particular implementation of a parser which has yet to be successfully ported to another language without skipping over large functional areas.

So, in short, no, this will not be fixed until serious wikitext reform is achieved and a JavaScript wikitext parser is built.
Comment 5 Bugmeister Bot 2011-08-19 19:12:46 UTC
Unassigning default assignments. http://article.gmane.org/gmane.science.linguistics.wikipedia.technical/54734
Comment 6 Andre Klapper 2012-12-15 11:36:01 UTC
Closing as WONTFIX as per comments 3 and 4.

Note You need to log in before you can comment on or make changes to this bug.


Navigation
Links